freebsd-ports/astro/google-earth/files/patch-bin-googleearth
Johannes Jost Meixner 05317facbe Update CentOS base to 6.5, add userland ports
The Fedora 10 infrastructure ports have been in use since June 2009 and, while
having served a great deed, have become unsupported upstream and hence affected
by unfixed security vulnerabilities. In addition to that, many recent Linux
binaries need newer libc / stdlibc++ versions.

This commit adds the linux-c6- userland as drop-in replacement for the -f10
infrastructure, as well as upgrading the linux_base-c6 port to CentOS 6.5.

If you want to switch to linux-c6 ports, please define at /etc/make.conf:

    OVERRIDE_LINUX_BASE_PORT=c6
    OVERRIDE_LINUX_NONBASE_PORTS=c6

Additionally, please add the following line to /etc/sysctl.conf:

    compat.linux.osrelease=2.6.18

Upgrading procedures are shown in /usr/ports/UPDATING.

This work has been inspired by Artyom Mirgorodskiy's post to emulation@ in
November 2013, using and extending mav@'s work. It has been tested extensively
and most reported issues were already fixed. Please report any additional bug
or "features" to the emulation mailing list.

Many thanks to: mav@, rene@, allanjude@, netchild@, antoine@, everyone who's
filed Issues and Pull requests on GitHub,

PR:		186820
Differential Revision:	https://reviews.freebsd.org/D793
Reviewed by:	allanjude, antoine, bapt, rene
Approved by:	portmgr (antoine, bapt)
Approved by:	koobs (mentor)
Sponsored by:	Perceivon Hosting Inc.
2014-09-22 10:40:00 +00:00

36 lines
1023 B
Plaintext

--- ./bin/googleearth.orig 2011-05-17 10:42:02.000000000 +0300
+++ ./bin/googleearth 2014-03-13 08:59:26.456795260 +0200
@@ -8,6 +8,17 @@
GOOGLEEARTH_DATA_PATH="$(dirname "$(readlink -f "$0")")"
fi
+ulimit -s 32768 2>/dev/null
+
+# For browser wrapper script (to use original LD_LIBRARY_PATH)
+if [ -n "${BROWSER}" ]
+then
+
+ export REAL_BROWSER="${BROWSER}"
+ export REAL_LD_LIBRARY_PATH="${LD_LIBRARY_PATH}"
+ export BROWSER=${GOOGLEEARTH_DATA_PATH}/bin/browserwrapper
+fi
+
LD_LIBRARY_PATH=.:${GOOGLEEARTH_DATA_PATH}:${LD_LIBRARY_PATH}
export LD_LIBRARY_PATH
@@ -15,10 +26,11 @@
if [ -x "${GOOGLEEARTH_DATA_PATH}/googleearth-bin" ]
then
cd "${GOOGLEEARTH_DATA_PATH}/"
- exec "./googleearth-bin" "$@"
+ LIBGL_DEBUG="verbose" %%LIBGL_ALWAYS_SOFTWARE%% exec "./googleearth-bin" "$@"
+else
+ echo "Couldn't run Google Earth (googleearth-bin). Is GOOGLEEARTH_DATA_PATH set?"
+ exit 1
fi
-echo "Couldn't run Google Earth (googleearth-bin). Is GOOGLEEARTH_DATA_PATH set?"
-exit 1
# end of googleearth ...